0
Answered

Importing Bolt causes Amplify Shader Editor to not work

cybris 1 year ago updated 1 year ago 2

Hi, I've been using Unity's shader graph for a short while and decided to switch to Amplify Shader Editor. It seems that neither of these work with Bolt. First I import and install Bolt, then upon doing so the button that normally appears on shader scripts to edit them disappears. This is the error that comes up, I'm not sure what it means and it appears unrelated but I suppose it's not since it appears every time I try to install bolt while ASE is in the project:

Library\PackageCache\com.unity.textmeshpro@2.0.0\Scripts\Editor\TMP_PackageUtilities.cs(310,17): error CS0433: The type 'Task' exists in both 'System.Threading, Version=1.0.2856.102, Culture=neutral, PublicKeyToken=31bf3856ad364e35' and 'mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089'

Bolt Version:
1.4.3f2
Unity Version:
2019.1.1f1
Platform(s):
Scripting Backend:
.NET Version (API Compatibility Level):
GOOD, I'M SATISFIED
Satisfaction mark by cybris 1 year ago
Answered

Hi Cybris! That's a known issue that's easy to fix. Have a look here:

https://ludiq.io/bolt/known-issues#threading

Cheers!